jQuery(document).ready(function () {
    jQuery(".paydirekt-list").footable();
    jQuery(".paydirekt-detailView").on("click", function(){
        var transactionId = jQuery(this).data("paydirekt-id");
        var type = jQuery(this).data("paydirekt-type");
        var checkoutId = jQuery(this).data("paydirekt-checkoutid");
        getCheckoutData(transactionId, type, checkoutId);

        // reset marked row
        jQuery(".paydirekt-detailView").removeClass("paydirekt-marked");
        // mark clicked row
        jQuery(this).addClass("paydirekt-marked");
    });

    // ask the user if they want to close the order really.
    jQuery(".paydirekt-close-order-button").on("click", function(){
        var confirmReturn = confirm("Möchten Sie die Bestellung wirklich schließen?");
        return confirmReturn;
    });
});

function getCheckoutData(transactionId, type, checkoutId){
    var data = {
        'action': 'paydirekt_detail_view',
        'type': type,
        'transactionId': transactionId,
        'checkoutId': checkoutId
    };
    jQuery(".paydirekt-wait").show();
    jQuery.post(ajaxurl, data, function (response) {
        jQuery(".paydirekt-detail-box").replaceWith(response);
        jQuery(".paydirekt-wait").hide();
    });
}