<?php
/**
 * @category    Payment Plugin
 * @package     paydirekt
 * @author      Logata Digital Solutions GmbH
 * @copyright   Logata Digital Solutions GmbH
 * @license     https://logata.com/paydirekt-lizenzbedingungen
 * @version     1.0.44
 * @link        https://www.paydirekt.de
 */

namespace Bitergo\PaydirektWooCommerce\classes\components;
use Bitergo\PaydirektWooCommerce\classes\components\PaydirektTable;

if (!defined('ABSPATH')) {
    exit;
}

class PaydirektReportButtons extends PaydirektTable
{
    private $downloadUrl;

    public function prepare_items(){
        $this->downloadUrl = add_query_arg("action", "csv", $_SERVER['REQUEST_URI']);
    }

    public function render(){
    ?>
        <a href="<?php echo $this->downloadUrl?>" class="button-primary paydirekt-report-download-button"><?php echo __("download_csv", PAYDIREKT_PAYMENT_ID)?></a>
    <?php
    }
}